#!/usr/bin/python3

from smalltag import SmallTag


# chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-_ "

# no "b" because there is a bug in TinyTag 2.1.0 that removes "b"s if they are at the beginning of a string
chars = "acdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789 _-"


def test_written_gets_recognized():
    for char1 in chars:
        for char2 in chars:
            field_content = f"{char1}{char2}Test{char2}{char1}"

            tag = SmallTag.get("formats/test.mp3")

            tag.title = field_content
            tag.artist = field_content
            tag.album = field_content

            tag.write()

            tag = SmallTag.get("formats/test.mp3")

            assert tag.title == field_content
            assert tag.artist == field_content
            assert tag.album == field_content

